Page MenuHomePhabricator

[Support] Check for atomics64 when deciding if '-latomic' is needed
AcceptedPublic

Authored by gokturk on Oct 25 2019, 12:36 PM.

Details

Reviewers
beanz
compnerd
Summary

The CheckAtomic module performs two tests to determine if passing
'-latomic' to the linker is required: one for 64-bit atomics, and
another for non-64-bit atomics. Include the missing check for 64-bit
atomics.

Diff Detail

Event Timeline

gokturk created this revision.Oct 25 2019, 12:36 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 25 2019, 12:36 PM
compnerd accepted this revision.Oct 27 2019, 8:42 PM
This revision is now accepted and ready to land.Oct 27 2019, 8:42 PM
beanz accepted this revision.Oct 29 2019, 12:31 PM